Skip to content

Get an email

Request

Retrieve full details of an email by UUID.

Security
bearerAuth
Path
uuidstringrequired

Resource UUID.

GET
/emails/api/emails/{uuid}
curl -i -X GET \
  'https://leadgen.grinfi.io/emails/api/emails/{uuid}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Email details.

Bodyapplication/json
uuidstring, (uuid)
team_idinteger
user_idinteger
sender_profile_uuidstring, (uuid)
mailbox_uuidstring, (uuid)
email_body_uuidstring, (uuid)
flow_uuidstring or null, (uuid)
lead_uuidstring, (uuid)
statusstring
typestring

Message direction.

Enum:"inbox""outbox"
from_namestring
from_emailstring
to_namestring
to_emailstring
ccArray of strings
bccArray of strings
subjectstring
replied_to_uuidstring or null, (uuid)
bounced_by_uuidstring or null, (uuid)
sent_atstring or null, (date-time)
created_atstring, (date-time)
updated_atstring, (date-time)
Response
{ "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f", "team_id": 0, "user_id": 0, "sender_profile_uuid": "5d4d9d60-1e0b-400d-94d5-85c4b6a306f6", "mailbox_uuid": "d68f8f4c-fb28-4e30-b007-98bce1cb2c0d", "email_body_uuid": "1d55729a-d2ea-41f8-ab9d-f02ee9e2eb16", "flow_uuid": "11840a54-032e-452f-857e-bb369a5e7afa", "lead_uuid": "10b13691-d53f-44ed-aea6-f585d60459aa", "status": "string", "type": "inbox", "from_name": "string", "from_email": "string", "to_name": "string", "to_email": "string", "cc": [ "string" ], "bcc": [ "string" ], "subject": "string", "replied_to_uuid": "368fd351-527e-488b-8949-d5667d0de6f9", "bounced_by_uuid": "97ba3dcc-25e4-4028-a3f6-3cb32a51331d", "sent_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }